class_name TimeGhostUpgrade extends "res://scenes/upgrade/upgrade.gd"

func _init() -> void:
	upgradeName = "Add Timeghost"
	description = "Adds A Timeghost which repeats all actions you make. Acts as an extra life in case you get destroyed"

func select():
	if Globals.getPlayer() != null:
		Globals.getPlayer().addGhost()
